#!/bin/sh

REPOS="$1"
REV="$2"

# Updates the web site
TMP=/var/lib/gforge/chroot/home/users/free-guest
ALIOTH=free-guest@shell.alioth.debian.org
DEMUDI=/var/lib/gforge/chroot/home/groups/demudi/htdocs
CHANGES=$(svnlook changed -r $REV $REPOS)

if echo $CHANGES | grep -q demudi-trac/trunk/templates; then 
    svn export --force file:///svn/demudi/demudi-trac/trunk/templates $TMP/wiki
    scp -r $TMP/templates $ALIOTH:$DEMUDI
fi
if echo $CHANGES | grep -q demudi-trac/trunk/wiki; then 
    svn export --force file:///svn/demudi/demudi-trac/trunk/wiki $TMP/wiki
    scp -r $TMP/wiki $ALIOTH:$DEMUDI
    ssh $ALIOTH $DEMUDI/../bin/trac-admin.sh $DEMUDI wiki load $DEMUDI/wiki/
fi

